## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class TransactionOption

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.TransactionOption

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TransactionOption

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Transaction Option', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getTransactionOption()`, Serialized Form

Field Summary
`static int` `DELETE` The 'DELETE' literal value.
`static TransactionOption` `DELETE_LITERAL` The 'DELETE' literal object.
`static int` `NOT_TRANSACTION` The 'NOT TRANSACTION' literal value.
`static TransactionOption` `NOT_TRANSACTION_LITERAL` The 'NOT TRANSACTION' literal object.
`static int` `PRESERVE` The 'PRESERVE' literal value.
`static TransactionOption` `PRESERVE_LITERAL` The 'PRESERVE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Transaction Option' enumerators.

Method Summary
`static TransactionOption` `get(int value)` Returns the 'Transaction Option' literal with the specified integer value.
`static TransactionOption` `get(java.lang.String literal)` Returns the 'Transaction Option' literal with the specified literal value.
`static TransactionOption` `getByName(java.lang.String name)` Returns the 'Transaction Option' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE

    public static final int DELETE

  The 'DELETE' literal value.

  If the meaning of 'DELETE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DELETE_LITERAL`, Constant Field Values

### PRESERVE

    public static final int PRESERVE

  The 'PRESERVE' literal value.

  If the meaning of 'PRESERVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRESERVE_LITERAL`, Constant Field Values

### NOT_TRANSACTION

    public static final int NOT_TRANSACTION

  The 'NOT TRANSACTION' literal value.

  If the meaning of 'NOT TRANSACTION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_TRANSACTION_LITERAL`, Constant Field Values

### DELETE_LITERAL

    public static final TransactionOption DELETE_LITERAL

  The 'DELETE' literal object.

  See Also:
    `DELETE`

### PRESERVE_LITERAL

    public static final TransactionOption PRESERVE_LITERAL

  The 'PRESERVE' literal object.

  See Also:
    `PRESERVE`

### NOT_TRANSACTION_LITERAL

    public static final TransactionOption NOT_TRANSACTION_LITERAL

  The 'NOT TRANSACTION' literal object.

  See Also:
    `NOT_TRANSACTION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Transaction Option' enumerators.

Method Detail

### get

    public static TransactionOption get(java.lang.String literal)

  Returns the 'Transaction Option' literal with the specified literal value.

### getByName

    public static TransactionOption getByName(java.lang.String name)

  Returns the 'Transaction Option' literal with the specified name.

### get

    public static TransactionOption get(int value)

  Returns the 'Transaction Option' literal with the specified integer value.